Unable to Open Crossref plugin Setting

#1

Hello forum,

i’ve go some error here,
i cant solve this problem .

When i open this page Home > User > Journal Manager > Import/Export Data > CrossRef Export/Registration Plugin

Settings

You can **

configure the CrossRef export/registration plug-in here.

**

i’ve got this error

Video Here https://youtu.be/ovixhtikQKY

#2

You appear to be running OJS 2.4.8-2. Have you made any local modifications to your OJS code? I’m not really seeing a plausible way to generate this error in the standard codebase. The $request variable would need to be undefined here:


But it would have been used earlier here:

Before making it to the caller here:

#3

how can i reinstall the core of OJS ?
because i start from existing . and i modified several file .
what a best practice to do this ?

#4

If you do not want to keep your local changes, you can replace the OJS source files with a clean download of the OJS package from the same release.

See “Previous Releases” at the bottom of this page:
https://pkp.sfu.ca/ojs/ojs_download/

It would be best to follow the instructions of the Full Package upgrade, even if this is not an “upgrade”, but just a clean install of the core code: